<div class="flex flex-col flex-auto items-top min-w-0" style="background-color: #f8f8f8">
    <!-- Logo -->
    <div class="w-full sm:w-auto px-4 sm:p-1 shadow bg-white">
        <div class="container mx-auto flex justify-between">
            <div class="container flex items-center h-14 px-4 mb-3 pb-0">
                <!-- Light version -->
                <img class="dark:hidden w-30" src="assets/images/logo/bursa-malaysia-logo.svg" alt="Logo image" />
                <!-- Dark version -->
                <img class="hidden dark:flex w-30" src="assets/images/logo/bursa-malaysia-logo.svg" alt="Logo image" />
            </div>
            <div class="flex items-center cursor-pointer" [routerLink]="['/sign-in']">
                <span class="mt-6 mb-6 font-333 font-Regular-18">Login</span>
            </div>
        </div>
    </div>

    <div class="container mx-auto flex justify-between">
        <div class="flex items-center cursor-pointer" [routerLink]="['/investor-type']">
            <mat-icon class="mt-6 mb-6" style="color: #0038ff">keyboard_arrow_left</mat-icon><span
                class="mt-6 mb-6 font-Semibold-20" style="color: #0038ff">Back</span>
        </div>
        <div class="flex items-center w-auto">
            <button [routerLink]="['/register']" class="mr-2" style="
                    border: 1px solid #0038ff;
                    background-color: #0038ff;
                    width: 46px !important;
                    height: 4px !important;
                    border-radius: 5px;
                "></button>

            <button [routerLink]="['/create-account']" class="mr-2" style="
                    border: 1px solid #0038ff;
                    background-color: #0038ff;
                    width: 46px !important;
                    height: 4px !important;
                    border-radius: 5px;
                "></button>

            <button [routerLink]="['/security-questions']" class="mr-2" style="
                    border: 1px solid #0038ff;
                    background-color: #0038ff;
                    width: 46px !important;
                    height: 4px !important;
                    border-radius: 5px;
                "></button>
        </div>
        <div>
            <mat-icon class="mt-6 mb-6 cursor-pointer" style="color: #0038ff">help_outline</mat-icon>
        </div>
    </div>

    <div class="flex flex-col pt-6 mx-6">
        <div class="mt-2 font-Semibold-40 font-141461 leading-none text-center">
            <div>Register</div>
        </div>
    </div>

    <div id="account"
        class="items-top justify-center mt-7 mx-auto w-full sm:w-auto px-4 sm:p-8 md:p-12 bg-card box-width"
        style="box-shadow: 0px 0px 6px #0000001a">
        <div class="w-full max-w-lg sm:w-96 mx-auto sm:mx-0">
            <div class="font-Semibold-24 mb-2">Security Question</div>

            <!-- Alert -->
            <fuse-alert class="mt-8" *ngIf="showAlert" [appearance]="'outline'" [showIcon]="false" [type]="alert.type"
                [@shake]="alert.type === 'error'">
                {{ alert.message }}
            </fuse-alert>

            <form class="mt-5" [formGroup]="securityQuestionsForm" #securityQuestionsNgForm="ngForm">
                <mat-form-field id="register2" appearance="outline" class="fuse-mat-button-large w-full sm-1">
                    <mat-label>Security Question</mat-label>
                    <mat-select id="questionCode" formControlName="questionCode" required>
                        <mat-option *ngFor="let item of dropdownData" [value]="item.code">{{ item.description
                            }}</mat-option>
                    </mat-select>

                    <mat-error *ngIf="
                            securityQuestionsForm
                                .get('questionCode')
                                .hasError('required')
                        ">
                        You must select an option
                    </mat-error>
                </mat-form-field>

                <mat-form-field appearance="outline" class="fuse-mat-button-large w-full sm-2">
                    <mat-label>Your Answer</mat-label>
                    <input matInput formControlName="answer" required />

                    <mat-error *ngIf="
                            securityQuestionsForm
                                .get('answer')
                                .hasError('required')
                        ">
                        You must answer the question
                    </mat-error>
                </mat-form-field>

                <div class="inline-flex items-end w-full mt-1.5">
                    <mat-checkbox class="-ml-2" [color]="'primary'" [formControlName]="'agreements'" required
                        id="checkSecurity">
                        <span class="font-Regular-16">I hereby confirm that I have read and understood and agree to
                            the</span>
                        <a class="ml-1 font-0038ff underline font-Regular-16" [routerLink]="['/termcondition']">Terms and
                            Conditions</a>
                        <span class="font-Regular-16">(TCs) and Platform Rules. By Submitting this application, I also
                            agree to Bursa Malaysia Digital Sdn Bhd collecting, using and disclosing my personal
                            information in accordance with the GTCs and Platform Rules and acknowledge the</span>
                        <a class="ml-1 font-0038ff underline font-Regular-16" [routerLink]="['/privacynotice']">Personal Data
                            Notice</a>
                        <span class="font-Regular-16">.</span>
                    </mat-checkbox>
                </div>
                <div *ngIf="
                        securityQuestionsForm.get('agreements').invalid &&
                        securityQuestionsForm.get('agreements').touched
                    ">
                    <p class="text-red-600 error">
                        Please tick this box if you want to proceed
                    </p>
                </div>

                <div>
                    <button class="fuse-mat-button-large w-full mt-6 button-r5-disable button-r5" mat-flat-button
                        [color]="'primary'" (click)="register()" [disabled]="securityQuestionsForm.invalid">
                        Submit
                        <mat-progress-spinner *ngIf="" [diameter]="24" [mode]="'indeterminate'">
                        </mat-progress-spinner>
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>